pango-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Opaque Represents a list of attributes that apply to a section of text. The attributes are, in general, allowed to overlap in an arbitrary fashion, however, if the attributes are manipulated only through , the overlap between properties will meet stricter criteria.

Since the is stored as a linear list, it is not suitable for storing attributes for large amounts of text. In general, you should not use a single for more than one paragraph of text.

- Constructor
  2.12.0.0
  Default constructor
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Method
  2.12.0.0
  System.Void `` a Insert the given attribute into the list. It will replace any attributes of the same type on that segment and be merged with any adjoining attributes that are identical.

  This function is slower than for creating a attribute list in order (potentially much slower for large lists). However, is not suitable for continually changing a set of attributes since it never removes or combines existing attributes.

- Method
  2.12.0.0
  Pango.AttrList Copy list and return an identical, new list. a new
- Method
  2.12.0.0
  Pango.AttrList `` a Given a callback function, removes any elements of list for which returns and inserts them into a new list. a
- Method
  2.12.0.0
  System.Void To be added. To be added.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Method
  2.12.0.0
  System.Void `` the attribute to insert. Insert the given attribute to the list It will be inserted after all other attributes with a matching start_index.
- Method
  2.12.0.0
  System.Void `` the attribute to insert. Insert the given attribute into the list. It will be inserted before all other attributes with a matching start_index.
- Property
  2.12.0.0
  Pango.AttrIterator Create a iterator initialized to the beginning of the list. a new
- Method
  2.12.0.0
  System.Obsolete("Pango.AttrList is now refcounted automatically")
  Pango.AttrList Increases the reference count of the list. The list.
- Method
  2.12.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Void `` `` `` another the position at which to insert the length of the spliced segment. This function splices attribute list into list. This operation is equivalent to stretching every attribute applies at position in list by an amount , and then calling with a copy of each attributes in other in sequence (offset in position by ). This operation proves useful for, for instance, inserting a pre-edit string in the middle of an edit buffer.
- Method
  2.12.0.0
  System.Obsolete("Pango.AttrList is now refcounted automatically")
  System.Void Decrease the reference count of the given attribute list by one. If the result is zero, free the attribute list and the attributes it contains.
- Method
  2.12.0.0
  System.Void `` To be added. To be added. To be added.